{% extends "_doc_layout.html" %}
{% set page = 'theory' %}
{% block content %}
<div tabindex="-1" id="notebook" class="border-box-sizing">
    <div class="container" id="notebook-container">
        <div class="cell border-box-sizing text_cell rendered">
            <div class="prompt input_prompt"></div>
            <div class="inner_cell">
                <div class="text_cell_render border-box-sizing rendered_html">
                    <h1 id="&#1054;&#1053;&#1054;&#1051;">&#1054;&#1053;&#1054;&#1051;<a class="anchor-link" href="#&#1054;&#1053;&#1054;&#1051;">&#182;</a></h1>
                    <p>Тухайн өгөгдлийг ашиглан ямар үр дүн гаргахаас шалтгаалж машин сургалтыг "Data Mining" буюу "Өгөгдөл Олборлолт" талаас авч үзэн дараах төрлүүдэд хувааж болно [4].</p>
                    <ul>
                        <li>
                            Predictive
                            <ul>
                                <li><strong>Classification</strong> /эр-эм, өндөр-нам, сайн-муу-дунд г.м бүлгээр ангилах - categorical/</li>
                                <li>Regression /10-25 г.м үргэлжилсэн тоон интервал утгуудаар ангилах - numerical/</li>
                            </ul>
                        </li>
                        <li>
                            Descriptive
                            <ul>
                                <li>Clustering</li>
                                <li>Association rules</li>
                            </ul>
                        </li>
                    </ul>
                    <h2 id="Classification">Classification<a class="anchor-link" href="#Classification">&#182;</a></h2>
                    <p>Өмнөх хэсгээс кинонд өгсөн аливаа сэтгэгдлийг эерэг, сөрөг аль нь болохыг ангилах нь Classification төрлийн олборлолт болох нь харагдаж байна. Үүнийг хийхийн тулд одоогийн байгаа өгөгдлөөс predictive model буюу classifier-ийг үүсгэх ёстой. Энэхүү model-ийг үүсгэх хэд хэдэн алгоритмууд байдаг. Тухайлбал ZeroR, OneR, Naive Bayesian, Logistic Regression, Decision Tree, KNN, SVM,... гэх мэт. Эндээс Logistic Regression-ийг ашиглаж киноны сэтгэгдлийг автоматаар эерэг, сөргөөр нь ангилах model-оо байгуулсан.</p>
                    <h2 id="Logistic-Regression">Logistic Regression<a class="anchor-link" href="#Logistic-Regression">&#182;</a></h2>
                    <p>Binary classification буюу үр дүн нь categorical бөгөөд зөвхөн хоёр л ангилалд /0 эсвэл 1/ хуваагдах үед аливаа ангилалд харьяалагдах магадлалаар нь үнэлж model-оо байгуулах аргыг logistic regression-ы алгоритм гэнэ.</p>
                    <p>Бид $X$-ээс хамаарч $Y$ үр дүн ямар байхыг таамаглаж байгаа гэж үзвэл магадлалын $0 \leq p <1 $ нөхцлийг хангах фунц нь дараах байдалтай бичигдэнэ.</p>
                    $$p=\frac{exp(\beta_0 + \beta_1X)}{exp(\beta_0 + \beta_1X) + 1}$$
                    <p>Дээрх тэгшитгэлийг өөрчилж баруун талыг шугаман хэлбэрт оруулж бичвэл доорх байдалтай болно.</p>
                    $$ln(\frac{p}{1-p})=\beta_0 + \beta_1X$$
                    <p>Баруун талын тэнцлийн $X$-ийг олон хэмжээст /вектор/ болгон өргөтгөж, зүүн талын тэнцлийг нөхцөлт магадлалаас хамааруулсан функцээр орлуулан түүнийгээ logit хэмээн нэрлэвэл дараах байдалтай хувиргаж болох юм.</p>
                    $$logit\left(p(y=1|x)\right )=\beta_0x_0+\beta_1x_1+\beta_mx_m=\sum_{i=0}^{n}\beta_mx_m = \mathbf{\beta}^Tx$$
                    <h2 id="&#1058;&#1091;&#1088;&#1096;&#1080;&#1083;&#1090;">&#1058;&#1091;&#1088;&#1096;&#1080;&#1083;&#1090;<a class="anchor-link" href="#&#1058;&#1091;&#1088;&#1096;&#1080;&#1083;&#1090;">&#182;</a></h2>
                    <p>Дээр дурьдсан classification хийхэд түгээмэл ашиглагддаг logistic regression алгоритмыг хэн бүхний мэдэх Iris-Flower өгөгдөл дээр Python хэлний Scikit-Learn санг ашиглан туршив.</p>
                </div>
            </div>
        </div>
        <div class="cell border-box-sizing text_cell rendered">
            <div class="prompt input_prompt"></div>
            <div class="inner_cell">
                <div class="text_cell_render border-box-sizing rendered_html">
                    <p>Бэлэн өгөгдлийг уншиж feature болон label-ийг ялгаж авав.</p>
                </div>
            </div>
        </div>
        <div class="cell border-box-sizing code_cell rendered">
            <div class="input">
                <div class="prompt input_prompt">In&nbsp;[9]:</div>
                <div class="inner_cell">
                    <div class="input_area">
                        <div class=" highlight hl-ipython3">
                            <pre><span></span><span class="kn">from</span> <span class="nn">sklearn</span> <span class="k">import</span> <span class="n">datasets</span>
<span class="kn">import</span> <span class="nn">numpy</span> <span class="k">as</span> <span class="nn">np</span>
<span class="o">%</span><span class="k">matplotlib</span> inline
<span class="n">iris</span> <span class="o">=</span> <span class="n">datasets</span><span class="o">.</span><span class="n">load_iris</span><span class="p">()</span>
<span class="n">X</span> <span class="o">=</span> <span class="n">iris</span><span class="o">.</span><span class="n">data</span><span class="p">[:,</span> <span class="p">[</span><span class="mi">2</span><span class="p">,</span> <span class="mi">3</span><span class="p">]]</span>
<span class="n">y</span> <span class="o">=</span> <span class="n">iris</span><span class="o">.</span><span class="n">target</span>
<span class="nb">print</span><span class="p">(</span><span class="s1">&#39;Label буюу ангиллууд:&#39;</span><span class="p">,</span> <span class="n">np</span><span class="o">.</span><span class="n">unique</span><span class="p">(</span><span class="n">y</span><span class="p">))</span>
              </pre>
                        </div>
                    </div>
                </div>
            </div>
            <div class="output_wrapper">
                <div class="output">
                    <div class="output_area">
                        <div class="prompt"></div>
                        <div class="output_subarea output_stream output_stdout output_text">
                            <pre>Label буюу ангиллууд: [0 1 2]
  </pre>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="cell border-box-sizing text_cell rendered">
            <div class="prompt input_prompt"></div>
            <div class="inner_cell">
                <div class="text_cell_render border-box-sizing rendered_html">
                    <p>Уншиж авсан өгөгдлийн 70% train, 30% test болгон хуваав.</p>
                </div>
            </div>
        </div>
        <div class="cell border-box-sizing code_cell rendered">
            <div class="input">
                <div class="prompt input_prompt">In&nbsp;[10]:</div>
                <div class="inner_cell">
                    <div class="input_area">
                        <div class=" highlight hl-ipython3">
                            <pre><span></span><span class="kn">from</span> <span class="nn">sklearn.cross_validation</span> <span class="k">import</span> <span class="n">train_test_split</span>
<span class="n">X_train</span><span class="p">,</span> <span class="n">X_test</span><span class="p">,</span> <span class="n">y_train</span><span class="p">,</span> <span class="n">y_test</span> <span class="o">=</span> <span class="n">train_test_split</span><span class="p">(</span><span class="n">X</span><span class="p">,</span> <span class="n">y</span><span class="p">,</span> <span class="n">test_size</span><span class="o">=</span><span class="mf">0.3</span><span class="p">,</span> <span class="n">random_state</span><span class="o">=</span><span class="mi">0</span><span class="p">)</span>
              </pre>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="cell border-box-sizing text_cell rendered">
            <div class="prompt input_prompt"></div>
            <div class="inner_cell">
                <div class="text_cell_render border-box-sizing rendered_html">
                    <p>Feature-уудыг стандартчилав.</p>
                </div>
            </div>
        </div>
        <div class="cell border-box-sizing code_cell rendered">
            <div class="input">
                <div class="prompt input_prompt">In&nbsp;[12]:</div>
                <div class="inner_cell">
                    <div class="input_area">
                        <div class=" highlight hl-ipython3">
                            <pre><span></span><span class="kn">from</span> <span class="nn">sklearn.preprocessing</span> <span class="k">import</span> <span class="n">StandardScaler</span>
<span class="n">sc</span> <span class="o">=</span> <span class="n">StandardScaler</span><span class="p">()</span>
<span class="n">sc</span><span class="o">.</span><span class="n">fit</span><span class="p">(</span><span class="n">X_train</span><span class="p">)</span>
<span class="n">X_train_std</span> <span class="o">=</span> <span class="n">sc</span><span class="o">.</span><span class="n">transform</span><span class="p">(</span><span class="n">X_train</span><span class="p">)</span>
<span class="n">X_test_std</span> <span class="o">=</span> <span class="n">sc</span><span class="o">.</span><span class="n">transform</span><span class="p">(</span><span class="n">X_test</span><span class="p">)</span>
              </pre>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="cell border-box-sizing text_cell rendered">
            <div class="prompt input_prompt"></div>
            <div class="inner_cell">
                <div class="text_cell_render border-box-sizing rendered_html">
                    <p>Plot-ыг өнгөөр ялгах фунц</p>
                </div>
            </div>
        </div>
        <div class="cell border-box-sizing code_cell rendered">
            <div class="input">
                <div class="prompt input_prompt">In&nbsp;[13]:</div>
                <div class="inner_cell">
                    <div class="input_area">
                        <div class=" highlight hl-ipython3">
                            <pre><span></span><span class="kn">from</span> <span class="nn">matplotlib.colors</span> <span class="k">import</span> <span class="n">ListedColormap</span>
<span class="kn">import</span> <span class="nn">matplotlib.pyplot</span> <span class="k">as</span> <span class="nn">plt</span>
<span class="kn">import</span> <span class="nn">warnings</span>


<span class="k">def</span> <span class="nf">versiontuple</span><span class="p">(</span><span class="n">v</span><span class="p">):</span>
    <span class="k">return</span> <span class="nb">tuple</span><span class="p">(</span><span class="nb">map</span><span class="p">(</span><span class="nb">int</span><span class="p">,</span> <span class="p">(</span><span class="n">v</span><span class="o">.</span><span class="n">split</span><span class="p">(</span><span class="s2">&quot;.&quot;</span><span class="p">))))</span>


<span class="k">def</span> <span class="nf">plot_decision_regions</span><span class="p">(</span><span class="n">X</span><span class="p">,</span> <span class="n">y</span><span class="p">,</span> <span class="n">classifier</span><span class="p">,</span> <span class="n">test_idx</span><span class="o">=</span><span class="kc">None</span><span class="p">,</span> <span class="n">resolution</span><span class="o">=</span><span class="mf">0.02</span><span class="p">):</span>

    <span class="n">markers</span> <span class="o">=</span> <span class="p">(</span><span class="s1">&#39;s&#39;</span><span class="p">,</span> <span class="s1">&#39;x&#39;</span><span class="p">,</span> <span class="s1">&#39;o&#39;</span><span class="p">,</span> <span class="s1">&#39;^&#39;</span><span class="p">,</span> <span class="s1">&#39;v&#39;</span><span class="p">)</span>
    <span class="n">colors</span> <span class="o">=</span> <span class="p">(</span><span class="s1">&#39;red&#39;</span><span class="p">,</span> <span class="s1">&#39;blue&#39;</span><span class="p">,</span> <span class="s1">&#39;lightgreen&#39;</span><span class="p">,</span> <span class="s1">&#39;gray&#39;</span><span class="p">,</span> <span class="s1">&#39;cyan&#39;</span><span class="p">)</span>
    <span class="n">cmap</span> <span class="o">=</span> <span class="n">ListedColormap</span><span class="p">(</span><span class="n">colors</span><span class="p">[:</span><span class="nb">len</span><span class="p">(</span><span class="n">np</span><span class="o">.</span><span class="n">unique</span><span class="p">(</span><span class="n">y</span><span class="p">))])</span>

    <span class="n">x1_min</span><span class="p">,</span> <span class="n">x1_max</span> <span class="o">=</span> <span class="n">X</span><span class="p">[:,</span> <span class="mi">0</span><span class="p">]</span><span class="o">.</span><span class="n">min</span><span class="p">()</span> <span class="o">-</span> <span class="mi">1</span><span class="p">,</span> <span class="n">X</span><span class="p">[:,</span> <span class="mi">0</span><span class="p">]</span><span class="o">.</span><span class="n">max</span><span class="p">()</span> <span class="o">+</span> <span class="mi">1</span>
    <span class="n">x2_min</span><span class="p">,</span> <span class="n">x2_max</span> <span class="o">=</span> <span class="n">X</span><span class="p">[:,</span> <span class="mi">1</span><span class="p">]</span><span class="o">.</span><span class="n">min</span><span class="p">()</span> <span class="o">-</span> <span class="mi">1</span><span class="p">,</span> <span class="n">X</span><span class="p">[:,</span> <span class="mi">1</span><span class="p">]</span><span class="o">.</span><span class="n">max</span><span class="p">()</span> <span class="o">+</span> <span class="mi">1</span>
    <span class="n">xx1</span><span class="p">,</span> <span class="n">xx2</span> <span class="o">=</span> <span class="n">np</span><span class="o">.</span><span class="n">meshgrid</span><span class="p">(</span><span class="n">np</span><span class="o">.</span><span class="n">arange</span><span class="p">(</span><span class="n">x1_min</span><span class="p">,</span> <span class="n">x1_max</span><span class="p">,</span> <span class="n">resolution</span><span class="p">),</span>
                          <span class="n">np</span><span class="o">.</span><span class="n">arange</span><span class="p">(</span><span class="n">x2_min</span><span class="p">,</span> <span class="n">x2_max</span><span class="p">,</span> <span class="n">resolution</span><span class="p">))</span>
    <span class="n">Z</span> <span class="o">=</span> <span class="n">classifier</span><span class="o">.</span><span class="n">predict</span><span class="p">(</span><span class="n">np</span><span class="o">.</span><span class="n">array</span><span class="p">([</span><span class="n">xx1</span><span class="o">.</span><span class="n">ravel</span><span class="p">(),</span> <span class="n">xx2</span><span class="o">.</span><span class="n">ravel</span><span class="p">()])</span><span class="o">.</span><span class="n">T</span><span class="p">)</span>
    <span class="n">Z</span> <span class="o">=</span> <span class="n">Z</span><span class="o">.</span><span class="n">reshape</span><span class="p">(</span><span class="n">xx1</span><span class="o">.</span><span class="n">shape</span><span class="p">)</span>
    <span class="n">plt</span><span class="o">.</span><span class="n">contourf</span><span class="p">(</span><span class="n">xx1</span><span class="p">,</span> <span class="n">xx2</span><span class="p">,</span> <span class="n">Z</span><span class="p">,</span> <span class="n">alpha</span><span class="o">=</span><span class="mf">0.4</span><span class="p">,</span> <span class="n">cmap</span><span class="o">=</span><span class="n">cmap</span><span class="p">)</span>
    <span class="n">plt</span><span class="o">.</span><span class="n">xlim</span><span class="p">(</span><span class="n">xx1</span><span class="o">.</span><span class="n">min</span><span class="p">(),</span> <span class="n">xx1</span><span class="o">.</span><span class="n">max</span><span class="p">())</span>
    <span class="n">plt</span><span class="o">.</span><span class="n">ylim</span><span class="p">(</span><span class="n">xx2</span><span class="o">.</span><span class="n">min</span><span class="p">(),</span> <span class="n">xx2</span><span class="o">.</span><span class="n">max</span><span class="p">())</span>

    <span class="k">for</span> <span class="n">idx</span><span class="p">,</span> <span class="n">cl</span> <span class="ow">in</span> <span class="nb">enumerate</span><span class="p">(</span><span class="n">np</span><span class="o">.</span><span class="n">unique</span><span class="p">(</span><span class="n">y</span><span class="p">)):</span>
        <span class="n">plt</span><span class="o">.</span><span class="n">scatter</span><span class="p">(</span><span class="n">x</span><span class="o">=</span><span class="n">X</span><span class="p">[</span><span class="n">y</span> <span class="o">==</span> <span class="n">cl</span><span class="p">,</span> <span class="mi">0</span><span class="p">],</span> <span class="n">y</span><span class="o">=</span><span class="n">X</span><span class="p">[</span><span class="n">y</span> <span class="o">==</span> <span class="n">cl</span><span class="p">,</span> <span class="mi">1</span><span class="p">],</span>
                    <span class="n">alpha</span><span class="o">=</span><span class="mf">0.8</span><span class="p">,</span> <span class="n">c</span><span class="o">=</span><span class="n">cmap</span><span class="p">(</span><span class="n">idx</span><span class="p">),</span>
                    <span class="n">marker</span><span class="o">=</span><span class="n">markers</span><span class="p">[</span><span class="n">idx</span><span class="p">],</span> <span class="n">label</span><span class="o">=</span><span class="n">cl</span><span class="p">)</span>

    <span class="k">if</span> <span class="n">test_idx</span><span class="p">:</span>

        <span class="k">if</span> <span class="ow">not</span> <span class="n">versiontuple</span><span class="p">(</span><span class="n">np</span><span class="o">.</span><span class="n">__version__</span><span class="p">)</span> <span class="o">&gt;=</span> <span class="n">versiontuple</span><span class="p">(</span><span class="s1">&#39;1.9.0&#39;</span><span class="p">):</span>
            <span class="n">X_test</span><span class="p">,</span> <span class="n">y_test</span> <span class="o">=</span> <span class="n">X</span><span class="p">[</span><span class="nb">list</span><span class="p">(</span><span class="n">test_idx</span><span class="p">),</span> <span class="p">:],</span> <span class="n">y</span><span class="p">[</span><span class="nb">list</span><span class="p">(</span><span class="n">test_idx</span><span class="p">)]</span>
            <span class="n">warnings</span><span class="o">.</span><span class="n">warn</span><span class="p">(</span><span class="s1">&#39;NumPy санг шинэчилнэ үү!!&#39;</span><span class="p">)</span>
        <span class="k">else</span><span class="p">:</span>
            <span class="n">X_test</span><span class="p">,</span> <span class="n">y_test</span> <span class="o">=</span> <span class="n">X</span><span class="p">[</span><span class="n">test_idx</span><span class="p">,</span> <span class="p">:],</span> <span class="n">y</span><span class="p">[</span><span class="n">test_idx</span><span class="p">]</span>

        <span class="n">plt</span><span class="o">.</span><span class="n">scatter</span><span class="p">(</span><span class="n">X_test</span><span class="p">[:,</span> <span class="mi">0</span><span class="p">],</span>
                    <span class="n">X_test</span><span class="p">[:,</span> <span class="mi">1</span><span class="p">],</span>
                    <span class="n">c</span><span class="o">=</span><span class="s1">&#39;&#39;</span><span class="p">,</span>
                    <span class="n">alpha</span><span class="o">=</span><span class="mf">1.0</span><span class="p">,</span>
                    <span class="n">linewidths</span><span class="o">=</span><span class="mi">1</span><span class="p">,</span>
                    <span class="n">marker</span><span class="o">=</span><span class="s1">&#39;o&#39;</span><span class="p">,</span>
                    <span class="n">s</span><span class="o">=</span><span class="mi">55</span><span class="p">,</span> <span class="n">label</span><span class="o">=</span><span class="s1">&#39;test set&#39;</span><span class="p">)</span>

<span class="n">X_combined_std</span> <span class="o">=</span> <span class="n">np</span><span class="o">.</span><span class="n">vstack</span><span class="p">((</span><span class="n">X_train_std</span><span class="p">,</span> <span class="n">X_test_std</span><span class="p">))</span>
<span class="n">y_combined</span> <span class="o">=</span> <span class="n">np</span><span class="o">.</span><span class="n">hstack</span><span class="p">((</span><span class="n">y_train</span><span class="p">,</span> <span class="n">y_test</span><span class="p">))</span>
  </pre>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="cell border-box-sizing text_cell rendered">
            <div class="prompt input_prompt"></div>
            <div class="inner_cell">
                <div class="text_cell_render border-box-sizing rendered_html">
                    <p>Эцэст нь Iris-Flower өгөгдлийг logistic regression-ы алгоритмаар гарган авсан classifier-аар ангилав.</p>
                </div>
            </div>
        </div>
        <div class="cell border-box-sizing code_cell rendered">
            <div class="input">
                <div class="prompt input_prompt">In&nbsp;[14]:</div>
                <div class="inner_cell">
                    <div class="input_area">
                        <div class=" highlight hl-ipython3">
                            <pre><span></span><span class="kn">from</span> <span class="nn">sklearn.linear_model</span> <span class="k">import</span> <span class="n">LogisticRegression</span>

<span class="n">lr</span> <span class="o">=</span> <span class="n">LogisticRegression</span><span class="p">(</span><span class="n">C</span><span class="o">=</span><span class="mf">1000.0</span><span class="p">,</span> <span class="n">random_state</span><span class="o">=</span><span class="mi">0</span><span class="p">)</span>
<span class="n">lr</span><span class="o">.</span><span class="n">fit</span><span class="p">(</span><span class="n">X_train_std</span><span class="p">,</span> <span class="n">y_train</span><span class="p">)</span>

<span class="n">plot_decision_regions</span><span class="p">(</span><span class="n">X_combined_std</span><span class="p">,</span> <span class="n">y_combined</span><span class="p">,</span>
                  <span class="n">classifier</span><span class="o">=</span><span class="n">lr</span><span class="p">,</span> <span class="n">test_idx</span><span class="o">=</span><span class="nb">range</span><span class="p">(</span><span class="mi">105</span><span class="p">,</span> <span class="mi">150</span><span class="p">))</span>
<span class="n">plt</span><span class="o">.</span><span class="n">xlabel</span><span class="p">(</span><span class="s1">&#39;petal length /standardized/&#39;</span><span class="p">)</span>
<span class="n">plt</span><span class="o">.</span><span class="n">ylabel</span><span class="p">(</span><span class="s1">&#39;petal width /standardized/&#39;</span><span class="p">)</span>
<span class="n">plt</span><span class="o">.</span><span class="n">legend</span><span class="p">(</span><span class="n">loc</span><span class="o">=</span><span class="s1">&#39;upper left&#39;</span><span class="p">)</span>
<span class="n">plt</span><span class="o">.</span><span class="n">tight_layout</span><span class="p">()</span>
<span class="n">plt</span><span class="o">.</span><span class="n">show</span><span class="p">()</span>
  </pre>
                        </div>
                    </div>
                </div>
            </div>
            <div class="output_wrapper">
                <div class="output">
                    <div class="output_area">
                        <div class="prompt"></div>
                        <div class="output_png output_subarea ">
                            <img src="data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAakAAAEaCAYAAACrcqiAAAAABHNCSVQICAgIfAhkiAAAAAlwSFlz
                                AAALEgAACxIB0t1+/AAAIABJREFUeJzs3XlYVGX7wPHvwy4iqwIia6KG+5JlmbhULrlnpaalvzS0
                                rGyz5TVLK7PdVhcUyy230tw1yxJFUVFzwQVxAcEFRRCVHZ7fHwMjOwPMMAM+n+vikpk5c8498/Z6
                                e55zn/sWUkoURVEUxRSZGTsARVEURSmNSlKKoiiKyVJJSlEURTFZKkkpiqIoJkslKUVRFMVkWRg7
                                AF0IIVQJoqIoSi0npRRFn6sRSQpAzp1r7BAACJ6RSEKIE9jYMLBDB+3zsz6exUtTXjJiZKZNfT+l
                                U99N2dT3U7ra9N20tmld4vNqua+Cgt5z4f0Fu8g4lcvasDD+iY00dkiKoii1lkpSlREYyMdZ2biO
                                SSLlQjJrDxwwdkSKoii1Uo1Z7jNFQe+5QDRMscylwYMNjB2OSesY2NHYIZgs9d2UTX0/pbsbvhtR
                                E9oiCSGkqVyTKsnrh+vhMuQG9l6OdPduYexwFEVRapzWNq1rduFESXynTCEmIcHYYWjMMnYAhtHI
                                pxGbT202dhiKotylanSSiklIoCacCdZkQhT7h42iKEq1UYUTiqIoislSSUpRFEUxWSpJKYqiKCZL
                                JSlFURTFZKkkpSiKopgslaQMKCkpicGDB2NnZ4efnx/Lli0zdkiKoig1So0uQTd1L730EjY2Nly9
                                epWDBw/St29f2rZtS0BAgLFDUxRFqRHu2iTVo2NHUgrcCGzv6sr2/fv1tv/U1FRWr17N8ePHqVOn
                                Dp07d2bgwIEsXryYTz/9VG/HURRFqc1qZZIqmoCgeBJKSUggosGdfnv3Fdm+qkksKioKS0tLGjdu
                                rH2uTZs27NixQ+d9KIqi3O1qZZIqmoCgeBKq6D4q+v5bt25hb29f6Dl7e3tu3rxZof0oiqLczVTh
                                hIHY2dmRkpJS6LkbN25Qr149I0WkKIpS89TKMyld2Lu6Fjo7snd11ev+mzZtSnZ2NmfOnNEu+R0+
                                fJgWLVSXdEVRFF3VyiRVNAHlP1eQPoskSmJra8sTTzzBBx98wLx58zh48CDr169n9+7dBj2uoihK
                                bVIrk5Q+EpA+zrR++uknnn/+eVxdXalfvz5z5sxR5eeKoigVUCuTlD7oI9E5OTmxZs0aPUSjKIpy
                                d1KFE4qiKIrJUklKURRFMVkqSSmKoigmy6hJSgjhKYTYLoSIFEIcFUK8asx4FEVRFNNi7MKJbOAN
                                KeV/Qgg74IAQ4k8p5Ukjx6UoiqKYAKOeSUkpL0sp/8v7/RZwAmhkzJgURVEU02Ey16SEEL5AW2Cv
                                cSNRFEVRTIWxl/sAyFvq+w2YmHdGVczU9eu1v3dr2pRuzZpVU3SKoiiKvu3fsZ/9oeXfjyqklNUQ
                                ThkBCGEBbAA2Sym/K2UbKefOLf78uHEYO/7aTgjBkfQjxg5DUZRarrVNa6SUoujzprDctwA4XlqC
                                qsl++uknOnbsiI2NDc8//7yxw1EURalxjF2C3hkYAfQQQhwSQhwUQvQ29HEPHoSC/We3b4fMTP0f
                                p1GjRkyZMoUxY8bof+eKoih3AWNX94VJKc2llG2llO2klO2llFuqtk8IC9P8CZCaqklKBZ04AePG
                                aRLVokXwww9QdBZh0VXEyqwqDho0iAEDBuDs7FzxNyuKoigmsdynV6mp8P33MHeu5vdXX4Vt2wpv
                                M2IEDB4Mjz8OwcGabV1c7rweFQUTJ0Jamubx/PmwZEn1fQZTE5kRaewQFEW5S9W6JFW3LsyeDZs2
                                QWAg+PrCpEkV24e/Pzg7w+uvw48/wpYtmoR2t4qOhn9iVaJSFKX6mUQJur7Z2IClpeZ3Z2cQRepF
                                li6FNWs0iWzLFs3S3/z5d86mzMzggw/g/vshIgLWri18pnW3cY0YxgWfLay9GYl9Pc1z3b3VhGFF
                                UQyv1iWptDTNEl+7djBvHrz4IpibaxJRvoAAzRKfqys89xx4ekK9eoX3s2ABeHtDo0bw8ccwcybU
                                qVO9n8WUeMX0JnSx5ne/ZzUJy98fWlirZKUoiuHUuiRlZQX9+sGAAZozotmz4dChwtu0b1/4cY8e
                                hR+fPAlbt2qSnJMTfPSR5uxr7NiKxZKTk0NWVhY5OTlkZ2eTkZGBhYUF5ubmFf9gJiAwMO+XmN6c
                                OHMUiCShXqQ6q1IUxWCMfjOvLoxxM29mpibhAeTman4sKpjSp02bxrRp0xAF1hs//PBDPvjgAz1G
                                alhCCObOLf07vuCzBesGyeqsSlGUKintZl6VpJQylZekAE5kH8Wl053CCpWwFEWpqNKSVK1b7lOq
                                X4BFK4hoBWgSlloGVBRFX2pdCbpiXAEWrXCNGMbVs46sjYxU91gp1SonJ4flc5cz5L4hPODyAIPa
                                DmLx94vJysoydmhKJakzKcUgvIoUVzT1cASgkYUaF6ZUTkpSClcvX6WBewPsneyLvS6l5P0x73Mx
                                9iLvffMenn6eHNh1gNU/r2Z/6H6mzZnG9avXS32/YppUklIMJn8Z8ILPFq6eBesGyUTVS1bLgEqF
                                hW0LY86Xc3Bwd+DG5RuMnzSezo91LrTNvn/3EXkwkpV7V3Jg1wEmjZmEg7sDGbkZnD9wnlE9R+Hd
                                0rvU9yumSSUpxeC8YvJ6BsegvSlYFVcoukpJSmHOl3MYOnMobo3duHLmCnNen0Or+1oVOiPavHIz
                                T419isz0zELbXzx1kc/7fk79BvUZFTyq1PcrpkklKaVaFV0GdHUDR3NHtQyolOrq5as4uDvg1tgN
                                ALfGbti72XP18tVCSeb2zdu4uLkU297F2wV7V3uyMrLKfL9imlThhFLt8osrzm1rwd4lLYg4lax6
                                AyqlauDegBuXb3DlzBUArpy5QsqVFBq4Nyi0XYsOLQj7M6zY9omxiVyPu457E/cy36+YJnUmpRhN
                                gIWmbD30m1aq1VINtuevPSz5cQmnjp7CwcmBfs/0Y9j4YdSx1U8fMXsne8ZPGs+c1+dg72ZPypUU
                                xk8aX+wsaNBzgxjUbhAROyMKbR9/Mh6yITEqkV9e+KXU9yumSd3Mq5RJl5t59SX/pmD7eqqBbU2x
                                bPYyFs5cyIvvv0hAuwCijkWxecVmUpJTCN4UXKVEFXcujujIaPxb+OPp51ludR/AsYhjvDn8Tdwa
                                ueHfwp+Th09y6cIlvlzyJU1bNi33/YrxqI4T1SwzM5OXXnqJv/76i6SkJBo3bsynn35K794GHzys
                                V9WZpPIVbLUE6szKVCVeSWRAmwGs2ruKc1HntNV3yZeSEZmCRwY9wujXR1dq38GfB7PilxU4eTqR
                                FJfE0NFDCXonSKf3Zmdns2vrLi6cvYCHtweBfQKxtLKsVBxK9VEdJwrIzc1l+Yrl7AzfiZODE+PH
                                jsfb21uvx8jOzsbb25udO3fi5eXFxo0befrppzl27Jjej1Xb5HdcT3zoKHaN44luEMl9zVRxhanZ
                                +vtWuvfrjp29XbHqu5DnQ1i7eG2lklTcuThW/LKCMUvG4BHgwcUTFwkZGcLjTz+Op59nue+3sLCg
                                W99uFf9AikmqlYUTycnJfPXNV7z53pv8uuxXcnNzC73+0+yfWLB+AfV71ue6+3VGjh3J1atXS9zP
                                5cuXi71fF7a2tnzwwQd4eXkB0LdvX/z8/Dhw4EDlPtRdJjBQc83KK6Y3ieGquMIU3bh+A3dP9xKr
                                75wbOZOcmFyp/UZHRuPk6YRHgAcAHgEeODZyJDoyWm+xKzVHrUtSaWlpPDv2WQ7fPozFfRYs3LyQ
                                z778rNA2v/72K09MfYLmXZrTdWRXPO7zYPv27drXpZTM+GIGj/R/hEHPDmL4qOFcv369SnFduXKF
                                06dP06KFWrqqKNVqyTTd2+Ze9v27r8Tqu0vRl2jWulml9uvfwp+kuCQunrgIwMUTF0mOT8a/hb/e
                                Yldqjlq33Ldnzx6kk+TxiZp57/c+eC/fDfmOt15/C6v82Rvl2LRpE3//9zcvr3gZ67rW/Dn7Tz75
                                /BO++fybSsWUnZ3NyJEjGT16NE2bNq3UPpTi91gBNPVQy4DG0qVPF75+92sWfLUASyyZ1mUa1rbW
                                2NrZknErg9Hfjq7Ufj39PBk6eighI0NwbORIcnwyQ0cP1WmpT6l9Sk1SQogDwC5gM/CvlDK92qKq
                                gtzcXCys7nwsCysLpJSFCiyeefIZVk9dTadnOnE15ioXIy7S4/U7kw+PnzxO025NsbGzAaB93/Zs
                                mLyhUvFIKRk5ciTW1tb88MMPlfxUSr78VkuhodDgoaOkdIpUrZaMxMLCgsGjB/Pj1B9x83Sje9/u
                                nD1xljMnzuDV2Av/5v6cOXFGW01XtDqvrGq9oHeCePzpxytU3VfV1w3JmMeu6co6k3oAeBjoDUwT
                                QiQCW4HNUsqo6giuMu6//35uzrzJjsU78Gzuyf7f99Oze0+sra2120x4cQL1XeoTui2U+o71WRqy
                                lAYN7tzY5+3pTei/oeQ+lYuZuRnR+6Px9qxcscOYMWO4du0amzZtqrETeU2RZkpwK3WPlRElJyaz
                                4OsFrNq/ij9X/8maxWuwc7aj6X1NuZ14m5GPjMS/gz83Lt+gyyNd2Pn3Tm3vvaKPS+ql5+nnqT17
                                Kq93X1VfNyRjHrs2KDVJSSmzgX/zfhBCeKBJWJ8IIfyBcCnlS9UQY4XY29uzeN5iZv44k1OHTtGt
                                dTcmjJ9QaBszMzOGDxvO8GHDS9zHE088wT+7/mHe8/OwdbQl40oGP8/5ucKxjB8/npMnT/LXX3/p
                                vNSoVExgIGqcvZFs/X0rXXp1wbWhK3tC9zBx9URtr7yvBn5FnXp1GBU8iounLvL9sO8Zv2A8vu18
                                iz0ur5deeb37qvq6IRnz2LWFztekpJQXgQXAAiGEGfCgwaKqIg8PD7789MtKv9/S0pJZ383i2LFj
                                pKen07x5c+zs7Cq0j9jYWIKDg7GxscHNTVP1pLnnaC7Dh5ecHJXKK9hxfe1NzfUqdVOwYSVeScTr
                                Hq8Se+U5eTpxPfa69rFjI0es6liV+Li8Xnrl9e6r6uuGZMxj1xZlXZNaD5R6F6eUcoBBIjIRZmZm
                                tG7dutLv9/b2rlTpulI1XjG9IQZCQ9EuA6p7rAzDv7k/K+au4NlXn9VW97k1diMxNpHEmEQa+GiW
                                0BNjE0mOTyYzLbPEx+X10itYPZh/NlJw+6q+bkjGPHZtUWrHCSFE17xfnwDcgSV5j4cDV6SUrxs+
                                PG0sNa7jRG1hjI4T+lSw1ZIavKhfWZlZ9GvRj9emv4a9kz1zvtT0yku8kEh8VDzODZ3xbO5JypUU
                                7TWo/N57RR8XvE5zLOIYK4NXci7qHPXd6jPwuYFYWFow96u5JW4Pd677VPZ1QzLmsWuSSrdFEkJE
                                SCnvK+85Q1JJynhqepLKd8FnC6AZvKiWAfUn6mgUEwZNwL+FP206tSEmKoZdW3fx3GvPMTRoaJnV
                                fCVVvK2ct5K5n85l5CsjadKiCccPHWfjso2079ye1z55jWtXrlWqWhAMW2FnypWFNUVVktQJoK+U
                                8mzeYz9gk5QywCCRlhyDSlJGUluSVL78ZUDrBslqGVBP0tPS2bZ6G6eOnMLeyZ7Hh+rWvqioizEX
                                GfrgUJaFLSMmOkZbEXc9/jpJ8UlM+mISPQZobhUxpYo5U4qlJqtK777XgX+FEGcBAfgA4/Qcn6JU
                                i4LVgBGoe6z0waaODf1H9Kf/iP5V2s/6pevpO6wv9o72xSriZj8zm1XzV9FjQA+TqpgzpVhqq3KT
                                lJRyixCiCXBv3lMnpZQZhg1LUQwrwKL4PVag7rMypoRLCTRp2aTEijgXTxcuX7gMmFbFnCnFUluV
                                27tPCGELTAJellIeBryFEP0MHpmiGFhgINoGtnuXtCByj6Y3YHx2vLFDuyv5+PtwdN/REnsBJpxP
                                wO9eP0D3Sb3VwZRiqa10We77GTjAnfui4oFVQOX6BCmKicmfEExMK7UMaATnT5/nt/m/cerIKQ6G
                                HaTVfa0Y99Y45r6uqea7FnuNtBtpjJgwAtB9Um91MKVYaitdklRjKeVQIcRwACllqhCi2MUtRakN
                                ii4DquIKw0lJSmHNwjWEfBHCkDFDGPL8EBycHZjx5gz8mvnRd1hfjh88TnxUPC+88wJNWjTR9gLs
                                /FhnWt3XqkLVffqOPf9YJcWi6I8uSSpTCFGHvBt7hRCNgRp/Ter27dtERUXh4ODAPffcY+xwFBNS
                                UnEFqI7r+hS2LYwfpv9A1MEo7ml1D3Xs6rB03lIc3B1o1r4ZMSdi+Hnmzzg1dMLD34OMjAwmDJ1Q
                                rIIuPyFUZ4VdacdSyckwdElSU4EtgJcQYinQGRhtwJj0IjExkevXr+Pp6UmdOnW0z2dlZfH+++8z
                                b948PD09uXr1Kj4+Pnz33Xc88MADeju+n58fISEh9OjRo/yNy7Bw4ULmz5/Pzp079RTZHWZmZkRH
                                R6skXQrVcd0w8ivivB/wxtnfme5jujPn+Tm8uvxVPJp5cPHURb7o+wXuTd15d9O7nD90vtDrxuzN
                                p6r5ql+5hRNSyj/RdJ0YDSwD7pNS/mvYsCrv7NmzDBo0iMaNG9O7d288PT2ZNGkSGRmak79x48Zx
                                5MgRDh8+zJEjR4iLi+PVV1+lX79+REZqer5JKdmxYwevvPIKY8eOZeHChaSlpRnl80gpMdTqqlq1
                                1U3+lOCT39wZvKiKKyovvyIuMzUTzxaeWNWxwqmREy7eLkBebz9PR1ISUgCKvV6wgq7g/kqqsDNU
                                7NVxLEVDl+q+v4EHpJQbpZQbpJTXhBDB1RBbhV25coWuXbvy4IMPEh8fz5kzZzh06BDR0dEMHz6c
                                qKgoNmzYwO+//64d625ubs4zzzzDpEmT+Pzzz8nKyuKpp55i3LhxeHl50bFjR5YvX06rVq04d+6c
                                TnE899xzxMbG0r9/f+zt7fnqq68ACA8Pp3Pnzjg5OdGuXTt27Nihfc8vv/xC48aNsbe3p3Hjxixb
                                toyTJ0/y4osvsmfPHurVq4ezs3OJxyvpvfkWLFhA8+bNcXFxoU+fPly4cAGArl27IqWkdevW2Nvb
                                s2rVqkp953eTgtWAEaeSWRsZqRJWJeRXxNnUsyH2SCyZaZkkxSeRGJsIaHr7JcUl4eiuaWNV9PWy
                                evOV9LohYlfVfNVHl44TZ4ELwHYp5bS85w5KKdvrJQAhQoB+aPoBltjRVdeOE++//z7Xr19n1qxZ
                                hbbLzMzk3nvvZciQISQnJzNv3rxi+4qPj6dNmza89tpr7Nq1i3Xr1hUarzFz5kxWrFhBeHi4Tp/L
                                z8+PBQsW0L17dwAuXrxI69atWbp0Kb169eLvv/9m6NChnDp1ijp16tCwYUMOHDiAv78/V65c4fr1
                                6wQEBLBw4UJCQkIIDQ0t8Tipqamlvnft2rVMmjSJDRs24O/vz2effcbGjRsJCwsDNMt9Z86cwc/P
                                r9TPUds6Tuhbwd6AtXUZMDkxmT8W/cHxg8ep51iPvsP60u6hdlU6Ew/bFsaPn/7IqYhT+LX0o9eg
                                XtpeftfjrhMXFafp/RdQcu8/Y/bmU734DKMqHSeSgUeA7/M6o4/Uc2w/Az8Ai6q6o/Xr1xMcXPwk
                                z8rKimeeeYb9+/fj7V368EIpJbNnz2bLli3F5j+9+uqr/PDDDxw8eJD27XXLzwUT6JIlS+jbty+9
                                evUC4JFHHuG+++5j06ZNDBkyBHNzc44ePYqnpydubm7a8R66KO29c+fO5b333tOOrH/33XeZPn06
                                Fy5c0J5JqrZSVVPbqwEP7z3MxKcm0vmxznR9vCsJlxKY8sIUOnbtyAc/fYCZWbmLMSXKr4jbsGwD
                                sz+ezfWE6wwZOYRTR05xKuwUTz7/JP/3xv8VqpgbFjSs1Aq66qywU9V81UuX/8KElDI7b8Dh72hG
                                yrvqKwAp5S4gSR/7ysnJwdLSssTXLC0t8fX1Ze3ataSmphZ7fenSpfTs2ZOkpCRatWpV7HVzc3Pu
                                u+8+oqIqN5Q4JiaGlStX4uzsjLOzM05OToSFhXHp0iVsbW1ZsWIFs2fPpmHDhvTv359Tp07ptN+S
                                3psfY0xMDBMnTtQe08XFBSEE8fFqeUqfii4D/hMbaeyQ9CIrM4s3h7/JtDnTmB4ynS69uxDYJ5AF
                                2xYQdSyK5XOWc+bEGVKSNNeOUpJSynxclL2TPc+89Awr966knn09QjeHkp2Vzbcrv2XixxOxd7Kn
                                cUBjbRIo+rik/ZX1ekXoEnvBY5W3vVJ5upxJzcn/RUr5ixDiKDChjO2NpmfPnqxYsaLYmU5ubi4r
                                V67kxx9/JCsriyFDhhAcHIyXlxfZ2dmsXLmSL7/8ku3bt7N161bOnz+Pr69voX1IKTl58iSNGun2
                                r+SiSyFeXl4899xzzC1h2RLgscce47HHHiMjI4PJkycTFBTEjh07dFpSKfreF154gR07duDl5cX7
                                77+vhixWk6JnVVCzBy/+u/FffPx96Pp412Jl137N/Pjuw+/oGN6x0uPh8zX0bsiED03nr5SKlrOr
                                BrOGVdbQQ3spZQqwSghR8Ir9OeAtg0dWxNT167W/d2valG7NmhXb5tVXX+WBBx6gRYsWjBgxAnNz
                                c1JSUnjrrbdo0KAB3bp14+GHH2bKlCm0adMGT09PEhIS8PPzY8OGDbRq1YpRo0bx0UcfERISUihB
                                rFmzhvT0dDp31u0/Pnd3d86ePastQR85ciT3338/Q4YM4dFHHyUzM5O9e/fSpEkTLCwsCA8P59FH
                                H8XGxgY7OzvtMoqbmxtxcXFkZWWVeJaYkJBQ6nvHjx+v/azNmzfnxo0bbNu2jSeffLJQjKoEXX/y
                                77HKH7x47xvLWRtZM5cBL5y9QPMOzYuVXV88dZFvn/oWidTLeHhTUtESc1WSXnn7d+xnf+j+crcr
                                60zqVzQFDQfQ3Mhb8J/0EqjWv9mm9i+/w7Kvry9bt24lKCiIyZMn4+PjQ2RkJH379mXdunUIIbC0
                                tOSzzz5jypQpnD59Gnt7+0J/SU+bNo1HHnmExx9/nHHjxuHg4MAff/zB8uXLWb9+vc5r8O+++y6v
                                vPIKb7/9Nu+//z5vvPGGtpBh+PDhWFhYcP/99zN79mxyc3P55ptvGDVqFEII2rZty+zZswHo0aMH
                                LVq0wN3dHXNzcxISEgodp6z3Dho0iNu3bzNs2DBiY2NxcHDgscce0yapqVOn8txzz5Genk5wcLD2
                                eUU/AgOBiGGcyK6ZrZbcPd3Zv2N/iePhbextsLS21D6uynh4U1LRhrGqwWzldezakY5dO2ofz5k+
                                p8TtSk1SUsp+eX+WXvqlP4LCSbDS2rZty759+zhx4gRXr16lWbNmJRYh1K1bl7Zt2xZ73t7entDQ
                                UJYuXcqsWbNIS0sjMDCQAwcO4Omp+4ycAQMGMGDAgELPdezYkX///bfE7Ut73tLSkvUFziKLcnd3
                                L/W9ACNGjGDEiBElvhYUFERQUFCp71X0o6TiCjD9CcE9BvTg87c+5+L5i8VGoCdEJ/BI0CNA1cfD
                                m5KKjntX4+ENr6zx8WWWsEkpD+olACF+BboBLsAV4EMp5c9FtlFDD41ElaDr14nso9g1jse6gabV
                                kqkvA+75aw/vjn6X9g+352z0WSxsLIg7GUdDr4bY1bfDwd2hwuPhTV1FS8xVSbp+VHgyrxDin7xf
                                bYD7gMNoznZaAxFSygdLfKMBqCRlPCpJGU5Nuccq/nw8q+av4si+I1haWdL/mf70GdqHS7GXiI6M
                                xr+FP55+npz47wT/7fmPtg+2JaBtQIXHuxtaRY5f0ViN/dlqg6qMj1+N5uzmaN7jlsBUKWW1XcBQ
                                Scp4hBDMHbEj7wKLom81dZx90Yo2Hx8f9uzag5OnE0lxSQwdPZSgd4JK3b66zzaMfXylfFW5mbdZ
                                foICkFIeE0IE6DU6xbSFhakkZSAldVx3dQNHc9NNWEUr2k6EniDkpRDGLR+HR3MPLp64SMjIEB5/
                                +nE8/TyNXgFn7OMrVaNLqdpRIcR8IUS3vJ95wBFDB6aYmBkzjB1BrZbfwPbcNs2UYFO+KbhoRVvG
                                7QycPJ1oeG9DADwCPHBs5Eh0ZHSJ21d3U1ZjH1+pGl3OpEYDLwIT8x6HArMNFZBieoLec4GQEIJD
                                O6szKgPSfLWabieh37Qy2j1WWVlZ/LvhXyIPRGJnb8cjAx/h9LHTHD90nHoO9Xi418OFKtqs61qT
                                FJfEpZOXtGdSyfHJ+LfwB8qvgEtLTePP3//k7MmzuLi60HdYX1zcXPT2eco7fkpSCptWbOLShUt4
                                +nrSZ2gf7Ozt9HZ8pWrKTFJCCHMgREo5AphZPSHpzsfVVY2bMDAfV711wFIqoKR7rMDwgxdjz8Ty
                                0oCXaNCwAQ899hBnTpzhx6k/4u7pzpAxQ7gSf4UX+rxAl95dWPH6ijvVfN27EPJsCI6NHEmOT2bo
                                6KF4+mlu2ShrxPqRfUd47enXaN6+OW07teXMiTMMbDuQ1z55jSfH6Oeyd1nH/3vt33w4/kMe7vkw
                                TVo2Ye+/e/lh6g/M+GWGumZlInQpnNgF9JBSZlZPSCXGUGLhhFKNQkIIThgErq4wZoyxo7mr5DfA
                                b/CQYasBc3NzGdJhCEPHD+XpF4Zx4WwMY3qOYcCzA9i+7h+efuEpPLw9cHFzYfKYybzw9gs079Bc
                                W9FWtLqvqKIVcKm3Uunboi8fzvqQbn27EXcujujIaGztbPnf8//jo+CPcGvkVmrFXHkVdeVVF8ae
                                ieXZrs8ye/1sPH09ta+dPXmWV598ld/2/4arh/pHWnWpSnXfIiAAWAfczn9eSvmNvoMsIwaVpExB
                                aCjBp7urJGVE+a2WQP/3WO35aw8zJ89k2e4VPNNlJfFxP5CRmkE9F3syb7qRevsk99x/D0lxSXTo
                                2IFrl66xYNsCoHLVc7/N/42wbWHMXDGT4M+DWfHLCm11oKuLK/Gx8bTu1rrE/ZV3PF3i+erdr7Cw
                                sKBj147Ftv1n/T/Ud6vP+Mnj9fb9KmWrSnXfmbwfM6CevgNTapDAQAhL0BRRdFbXp4zBkK2Woo9H
                                06FLBy5wqIStAAAgAElEQVTFxnM1MZi2gzpgZi5o2ac1i8YtwCzDjJfXvszFExeZN3wemTc0iyuV
                                rZ7LP17cuThW/LKCMUvG4BHgQfyxeGY9OYs6dnUYFTyqwuPidY0nOjKawaMGl7jtE888Qdi2ML18
                                r0rVlJuk8gcdKgoUKKJArdcbkyE6rju6OLI/dD/RkdE4ezvh0cKDyD8jsXWsQ7369bCw1Px14RHg
                                ga2TLebZ5kDl+9c5ujgSfz6e6MhonDyd8AjwAMDV3xVbR1ts7WxL3F95x9M1HicXJ05Hni5x29OR
                                p3F0caz0d6nojy7j4xsIIb4UQmwSQmzP/6mO4BQT1aSJ5t6pkBBjR3JXy59j5RoxjJPfDCPlJlUa
                                Z99jQA8Ohh3E3MKc67FJNLjHjehdp7hw+AIJ0Qnc2+NeAOKPx3Pl9BX6PN0HqPxI9X7D+7Fx2UYc
                                6zuSFJfExRMXAbh08hLXzl+j5aMtS9xfecfTNZ4BIwewZeUWrsdfL7RtUnwSf635i/4jym9qrRie
                                Ltek/gRWoBnPMR4YBVyVUr5j+PC0MahrUqZGXZ8ySVVttbR55Wa+nPQlZhZtyZQHEGaQFJeEmZk1
                                9u51qOtcl6tnruJc35k//vsD27qas53K9q/7+ZufWRm8kmatm3HowCFsHGy4duYaLg1ccPVz1fYG
                                rOi4eF3ikVLy0YSP2PfvPsyszajvU5+r56+SlZrFY4Mf463Pq30i0V2tKoUTB6SUHYQQR6SUrfOe
                                2y+l7FjmG/VIJSkTFBpKcFgLeO89Y0eiFFG0uAI0Hdd17S93LOIYS35cyuHw/zA3N6d95/bcvnmb
                                44eOY2FhQa+nevH8W2OxrWujfU9uLty6Ubn+deF/h7NszjJOHTmFTR0bBowcwHOvPUfqzdQKVe9V
                                9HXQJKqtv21lRfAKLp6/iNc9Xgx/aTg9BvRQt7dUs6okqXApZSchxFbge+Ai8JuUsrFhQi0xBpWk
                                TFF+WbpKVCapYMf16D2HiVixHpeGLlXuXZebCx+Oa8TwFxNp3j6d4wdtWDbbhWlz49Fx3JqiFFOV
                                JNUP2Al4AT8A9sA0KeU6QwRaSgwqSZmo4BmJ6t4pE3f7dhLfLezO8FkDcfd3JTUuhRWvr+CnFT9V
                                unfd8YM2zJzckF5Dktn6uyOvT79E8/bpeo5cuZuUlqTK/XePlHKDlPKGlPKYlLK7lLJDdSYoxbQF
                                vecCCQmqiMKE3bhxiQbuDahX915ycsHawx5bN1uOxR2r9D6bt0+n15BkflvgTK8hySpBKQZTagm6
                                EOIHNGPiSySlfNUgESk1TlDnSILD0FwMUfdOmRwHh4akXE4h9dol7OwaEnfuPJfPpRB7y5yrlewN
                                ePygDVt/d+TJ56+z5TcHzC12kZFxFAcnB7r27aotqFCUqirrTCoCOIBm6GF74HTeT1vAyvChKTVG
                                YCBBrn9oytIVk1O3rhO9u33EqjdXsPilBax96w/6d/4an6ixJIZXvON6bi4sm+3C69Mv8XDvEyRe
                                6cwXk94n6shp1i9dT68mvdi0YpMBP5FyN9GpcAJ4WEqZnffYEtgppexUDfHlx6CuSdUA6vqU6crN
                                hbS0JG7cuISDQ0Pq1HHSFjmEhkLT15ZjZnan1VJuLmUWQeTmAuQytNNQHnviMUa/MRYrK80boo5F
                                Mb7veL5Z/g1tH2xrsM+kpuHWLpW+JgU4oSmWyGeX95yiFKK9PpXfEVUxCbm5sGgRXLvmhIdHc65d
                                c2LRovxEAw8/DFteHcbxlR2IOJXMok0XmfhCXS5kln5TsJkZ7P5rN2bmZoyZ9AIfT/Di+EFNSXp2
                                Zms8fN5m0feLDfaZwraFMWHoBGbOmMmEoRNUC6NaTJfefZ8Bh4QQ/wACCASmGjIopeYKcv1DtUwy
                                MWZm0L07rF4NHTrAgQPwxBN3zpTuvN6EM/804dKNWzw86BIHTycTXUZvwGP7j/Fwz4cxNxcMfzGx
                                ULXf2HfuY/qrXxvk86hJu3cXXar7fgYeANYAq4EHpZQLDR2YUoOplkkmx8dHk6B27tT86eNT8uuX
                                L0PgfXZ0u6dJua2W6tary/Wr14Hi1X4urpcMNjhQTdq9u+h66505cBVIApoKIVQJl1KyMWMI6mya
                                Y89rk+vXY9m3bxmHDq0hPf1WuduvXPktq1a1JjW1M2Fhpzh0KJp9+37l8OH1ZGamcejQabZv/xU/
                                vw3s359OTIymUNM1YlipxRWPDX6MbWu2kZiQWKjab+vvjsz+ZIW2t5++VbZXoFIz6VI48TkwFIgE
                                8laxkVLKAQaOrWAMqnCihgmekaj5RY300KusrHSWLh3PkSPradasB+npKZw/v5/+/afRo8crxba/
                                cOEI06e3R8ochDBHylw0d5aY0aHDk6SkXOLs2b1IaU2zZn3IyUngwoVjNGr0LW++OaJQcUV+qyX7
                                euDqBi2sWzBn+hy2rNpCg4afMOGDlji4nOO7yUvYv/MYG4/Pw9HZMMtvle0VqJiuqnScOAW0llJm
                                GCq48qgkVUOFhBDc5EuVpPRo0aIxpKXd4Nlnf8HWVrOcdvXqGb77rjcDB35Cx45DC20/frw5Qpjx
                                zjsn8PX1Z9asQVy7do74+CM0adIVa+u6WFnZcvbsHkaNWkDz5j25cOEwP/zwOM8/v5h77+0BQHY2
                                WFjcqYnxf3U5Wam38LbL4XLEZX5f8Dunjpyibr269Hm6D+Mnv4Sji2GvD6nqvtqlKtV9ZwFL/Yek
                                3BXU9Sm9SUqK59ChNTz77M+sXGlHTIzm+dTUxtSv/xNbtswotP2mTdORMpcpU84xY4Y/M2ce5/z5
                                fbi47Afac/r0DuLjj/Doo8vIyfmSP/74HIDc3DY0aPAZW7d+AWgS1NSpEB6u+feGlRV829OJpRN/
                                ZO4nP7N00XK69utKwAMBtOrRishjkUQePGrw78PeyZ7GAY1VgqrldKnuSwX+E0L8DWjPplTHCaVc
                                Y8YQFBpK8GlXY0dSK5w7F06TJl2wta1XrFpv8OBH+eqrKNLTb2FjoznD2r17IWZm5nh4eNK2Lfz3
                                3y4sLHpz5IgV99yzkbNnG+Lg0JN16ywYNGggS5aMJjRUs78BAwbw44+a0ekWFtCvH6xYAZGRcPRo
                                EvW9PmDkN89hW78hVy8dYvGLP/Py8gl43+utqu0UvdLlTGod8DGwG00HivwfRdFNQoKxI6gVrKxs
                                SUu7ARSv1nN3vw1IzM0tC22fm3cz1IsvgrW1LdnZN6hbF/r0iQDg4sVkOnSAli2TsbCoo91f/frJ
                                WFndaW3UqRO0bAn//Qf+/pdw87PH1bchdnZQhwY4ejhTx92B5LQ0bW9AVW2n6IMuJegLS/qpjuCU
                                WiD/etSMGWVvd5dLTU3m2LHNnDjxF1lZJTdrbdasOxcvRnLxYiQxMZozni5dNH+uXx9Cy5aPY2lp
                                rd1+5MjZgOSff35i9mzIyOgLbOf27QvMnv0smoWU7YSHX2Thwi+wtOxEs2Y7iYjI4bffvsTX936i
                                o3eRm5tDeDgcOwZt20J0dEOunEsh4fwlADLSM7gRl0xKVA4Wt525fCyFK7FJnMy+VunvIyY6hh2b
                                dnD84HHKu26u1G66FE40AWYAzdH08QNASnmPYUMrFIMqnKjpQkIIJki1TCoiNzeHtWvfJzR0Dt7e
                                HcjKSufKlVMMGPARXbu+WGz7sLAFbNgwjQYNvmfw4H64u99i/fr5hIZ+wbvvbsfTs/CNt2+/7cGN
                                G5eA7rRsuQlHx4ns2jUfyKVr16+xsUngr7++JScnEy+vh8nJuc7ly1Hk5mbRpEk30tKSSE1NJjt7
                                FkOGPE6nTpprU6tXb8XV9wMc8qrrAvwGcOLcOm21nafLR3T/MgkoPHixPNcuX+P9F97n1JFTNG/X
                                nNjoWKzrWPPR3I9o3r55lb9vxXRVpbpvF/AhMBPoD/wfYCal/MAQgZYSg0pSNV3+JF/V26+QP/6Y
                                zOnTOxk7diVOTu4AXLp0gp9+GkD//lN54IERxd5z+PA6Nm36lNjYA5iZmdGmzUD69p1Ko0Z3/hLP
                                r8YD+Pjj9sTFHdK+JoQZdeu6kZZ2jdzcHOrWdcbGxpGkpBhyc3Owt3cnKyudl19eT+PGDxEVtYPg
                                4KeZMGEdfn4PaPefkXGnF2Dduk7cvl34MRQevAiU2XE9KyuLYQ8Oo3u/7oz73zjSbqeRcCmBw+GH
                                +WHqDywPW467l3vVv3TFJOljfPxRKWWrgs8ZKNaSYlBJqjZQI+cLSUu7wf/+58uUKZGsW+dB9+6a
                                a00xMbB2bSiJieOYOvV4qWPMs7IyMDe3wMzMvNDz+dV4/fqhPfPZsAEmToyjXj1HrKzsWLQImjc/
                                zKpVvXnhhfP8+KM1jz0Wwc6dAxk48Dy//roQX991TJq0jpgYWLZsNg4Of/Hii79X+vOeyD6KS6dI
                                /P0191gVtW3NNpZ8v4Rftv/C7r92M+fLOTi4O3Dj8g1cHF3wberLa5+8VunjK6atKiXoGUIIM+C0
                                EOJlIcRgNE1mFaVi8kd6qOtTAJw/v59GjVrj7OyhrdYLDdX8OWBAF27fTsxbqiuZpaV1sQQFhavx
                                QkI0f/brBw0aeGJjY6ft1bdhQxgNGvRj40ZrevaErVvDsLYeyG+/WfLII0M4c2Z7gXiGEBW1vUqf
                                N8CiFSe/GUZ0dMmtlvbv2M+jgx/lZvJNbW++UcGjGDpzKLExsez5e0+Vjq/UTLokqYmALfAq0AEY
                                CTxnyKCUWkwt9WlZWFiTmZkKFK/W8/LKJjs7EwuLyo1uK1iN17Kl5nFBPj7g62vNpUupdOigSWKN
                                Gllz7VoqLVtC9+6pWFpaa+NxdU3F3LzqY+RKarUUmaFJWJZWlqSlppXYm8/G3qacPSu1lS5JyldK
                                eUtKGSel/D8p5RDA29CBKbWcusEXP78HSEqK48KFw8Wq9TZtWoqLix/Xrp0nNzen3H2lp9/izJnd
                                xMYeIjc3t1A13rFjmiW/gmJiIDGxL9nZm9i79yobNsDly/0QYh1Hj15nwYL51KnzhDaejRvn067d
                                E3r77PlnVee2tWDvEk3CuqfPPaxfuh5HZ8divfkunLjAowMf1dvxlZpDl2tSB6WU7ct7zpDUNana
                                J3hGourrB+ze/Qvr10/FzS2YQYMexcMjk59+epaTJ3/Hza0pZmbmZGbeZvDgz4u1PAJNdeC6dR+y
                                Y8csXF2bkJaWTE5ODpmZ3zBkyIBC16SmTtUsBebPl+reHQ4dmszBg1u4fn0OI0Z0JDb2NfbuXc3t
                                26kEBe2lRQtX1q6dy86dX/PBB7txdfUzyPcQGgrNXl/Gsre+wd7WnD4D+rDm1zXYONhw9uBZzIU5
                                qw+uNlhndcX4Klw4IYToAzwOPA2sKPCSPdBcSnm/IQItJRaVpGqbkBCCEwbV2kRVdLJtWZNuDx78
                                nQ0bPuL69RgyM1OxtLRh2LAQHnzwKQDOnNnD3LlPMWLELNq00fR1Tk8HGxtYufINLlw4yIgRS3B3
                                90RKSVTUDubNG8bYsb9qe+/lb58vM1PT3khKyb//zuLPP78iI+Mm2dnp1K9/D7duJZKdnUF2djrN
                                m/di4MAZNGzY1CDfVUHH0g9y5MgnHFjzNxbCjIz0DHoM6MFbn7+Fi6uLwY+vGE9lklQboC3wEVCw
                                3Pwm8I+UMskQgZYSi0pStVEtrfYreKaSX633zz/w3HOlJyopJdeunWf69La8914k06d70rOn5lrR
                                +vWwYcNGnJ0/4NNPI9izR7B4MTz5ZAIbNjSjf/9oVq1y4dln4aGHYM8eWLJkGR4e85g8eTvnzmlW
                                V8eOBV9fOH8e5s/XXB7089PEt317LoMHX8PGxhYbGztyc3O5desaVla22jZL1SU0FJq8soS0lFs0
                                aGhLI2+rEqsBldqlKiXollLKrLzfnQAvKeURw4RZagwqSdVS2pEetSxRxcQUn4RbdNBgUZGRW9my
                                5TPefPMfNmyAjRvB2xtiY6FVq1wOH3amXbtoTp2qT4cOsHfvKmxtl5CZuVZ7nJYtNdegunfPZONG
                                O4YNu8l//1nz4IOa5JW/XdHHusRX3fI7ruePCCnrHiul5qtKCfo2IYS9EMIZOAjME0LM1FdgQoje
                                QoiTQogoIcQ7+tqvUjMEveeiKUvP/xuplihvEm5JhDAjNzcb0JxBeXtrkp23N4wbl4uZWQ7HjpnT
                                siWMHAne3mbcuJGtfVywmq937xzMzCAszIwOHTTVfQXjKfrY1BIUaFaBi1YDRmaogZp3G12SlIOU
                                MgV4AlgkpXwAeEQfB8+7/+pHoBfQAhguhLhXH/tWaphaNtKjaLVe/liNsvj7d+bSpRMkJESzbl0W
                                MTGReHicJiZG8sUXa4A2tGvnxLFjsGQJxMf3wMxsN0eOXGTJksLVfMHBC7G27kS7dheIiJCEhxeO
                                p+jj6Og04uOPkZioQ6BGUPQeq7WRkSph3SV0We47CvQEFgKTpZT7hRBHpJStq3xwIToBH0op++Q9
                                fhfN1N/Pi2ynlvtqu9BQgk93rxX3UVXmmlS+bdtmsnXr59y8mUvduo5YWqaSnm5OevoNHntsNU8+
                                2YPdu2HxYnj2Wbh+/SPCwv4gKekXnnuuNR07ZvL116M4d24F9vZeQCa2to1IS/ual17qWuyalI9P
                                DkuXfkR4+E/Ur+/K7dvXaNDAn6ef/hY/v2qrjaqwgpOC1TJg7VDacp8u86Q+ArYCu/IS1D3AaT3F
                                1Qi4UOBxHGC6/89QFB2YmRVOSD4+5Seo/Oq/3NxszM3NqVfPDEvLDDIzM6lXzx4hzGjeXHO/1EMP
                                ac6YbG1ByinUqePA1q2Ps2GDJb/+egUzM3NGjlxMly4jyM3N4b///mDp0ieRcgPwAL6+d8rRf/31
                                Fa5ePcmUKftwd7+HnJxsIiJW8OOPfXnjjX9o1Kilob+uSgkMBCKGcSL7KBFEkuyfrIoraqlS/28j
                                hBguhHCRUq6SUraWUr4EIKU8m3dDb7Waun699uffU6eq+/CKoQUGauZO1ZKWSUUTUnkJatEiOH36
                                Nlu3fsawYTuxtr7AU0/9zeTJEYwdexovr/msX/+hdvuVKzVnaEII/P0nEhBwnuefX4a5uQUff3yW
                                M2dGEBMDZmbmuLgMwdX1UzZu/ER7TAsLSEyMISJiBePG/cGWLfcQEwPm5ha4u4/AxeVdNm82/f8t
                                ymu1pJiu/Tv2M+vjWdqf0pRVgv4OmmtFlsDfwGZgn9TjcJe85b6pUsreeY/Vct/dLiSE4CZf1sp7
                                p8oSEwOLF/9JevonuLiEFqu+GzQom2+/debTT89Tt65zidWDV64s48CBlbz44ppir/fvn8rXXzvw
                                00/p2n5/oaFzOXNmN//3fwuLbd+rVwJz5zbhu+9uGPmb0V1+A9t8ahmwZqlwdZ+U8nMpZQ80N/Qe
                                Bp4HDgohfhVCPCeEcNNDXPsBfyGEjxDCChiGZhKwcrdq0qTWFVHowscH/P0lKSklV+P5+AhAaAcA
                                llw9KNHUIhV/3du7eCd1Kcva3gyoWcMGAyxa4RoxTFUD1jLlXpOSUt4E1uT9IIRoDvQBFqE506o0
                                KWWOEOJl4E80CTNESnmiKvtUarjAQIIIJTjM2IFUr5gYiIt7CCmPEB4ei5WVd6Hqu8zMTbi7N8PO
                                zkW7fcHXfXygWbMeLFs2gdu3r3PtmnOh12/cWEFAwKOFuqY3b96TdeumkJFxm8uX6xbaPiHhV1q2
                                fNxYX0eVBVi0IvSbVvDGcqKJVGdVNVi51X2mQC333YXy2ybVspt8S1KwGjAycjrh4b+TmbmcceOa
                                4usr2bkzlJUrhxMUNJ/WrR8vs3rwt9/eICYmgnr1FtGnjy/e3pLt2zezevVoXnttDU2adC507EWL
                                xpKUFIeNTQi9ezfCyyuXbdvWsG7deN5+exs+Pm2N9K3oT8E5Vo7muk8JVqpXpTtOmAKVpO5OwTMS
                                DZakKtJbrzqOX7CX3p9/fsW2bV9hb+9GZmYqQggGD/6C9u0Hlxt/bm4OGzZ8xL///oizszepqUlY
                                W9sxZMg3tGzZs1gcOTlZ/PHHZHbtmo+Liy+3bl3Fzq4+Tz31Pc2adTHkV1CtQkPB79ktAFg3SC51
                                8KJiPCpJKTVO8IxEg4ybr8p9TIY4ftHeejEx8PffGXTvfgwrKysaNmyBWQUDy8xM5eLF41hZ2dKw
                                YUCp033zpaff5PLlk9jY2OPm1rTc7WsydY+VaapSkhJCmANuFLiGJaWM1WuEZR9fJam7lKFGelSm
                                t54hj18TeunVNuWNs1eqV6Vv5hVCvAJ8CFwBcvOelkCVO04oSnmCXP+4U0Shx0RVsJqtS5fqTwhF
                                j9+pk2bJz1jx3I2KFlf4+2ueVwnLtOjScWIi0ExKmWjoYBSlmDFjCArNq/bTY5IqqTquvMSQmZkG
                                SKysbPV+fCur4vG4ud3C3NwCS0s1Ot1QCnauSAwHl06RqhrQxOiSpC4ANeeOPqX2CQyEsERNNwo9
                                FFLk5mquQeUvqfn4lH1NKjp6F+vXTyU6ehcAvr4d6dfvQwICKjfOvOjxvbwKX5PKyFjHd999Qmbm
                                UaSU3HvvIwwc+DHe3tU2DPuuE2DRSvNLRCvVasnElNVx4o28X1sAzYCNQEb+61LKbwwe3Z1Y1DUp
                                Ra/dKHSt7jt5cjvz5w9j8OCvuf/+pzEzM+O///5g+fJXGTlyrnZSbna2ptVQvqKPi+6/tO337FnE
                                2rXvM3ToLNq06UN2dibh4YtZu3Yyr7yyCV/fjmXGq+hHweIK+3rg6qaWAQ2tMvOk6uX9xALbAKsC
                                z1XvqE5F0TNdeutJKfn990kMGzaXzZuf5cABa8zNLcnKegohlvLbb2+Rm5tLdramYWt4uOZ94eGa
                                x9ma0VDaar78cR0xMZpRG7m5d45lYQHZ2ZmsXv02L764jsOH+3HhgjlWVnXw8goCPmPZssna9y9a
                                VPj9in7lz7E6+c0w9k1TvQGNqdTlPinlNAAhxFNSylUFXxNCPGXowBSlRGFhcPp0tYz0SEyMITk5
                                nvbtB5KdDStWQGSkZl7T0093Z9MmSXz8Uby82tCvX+HXhw69c6ZkZqYpNy9aTVg0MZ45E4azsw8+
                                Pm2LbT948AiWLJnIX3/d4OhRhxLfr+if9qQ9YhgXfLYQQbJaBqxmuvxnXtJFgNrfBkAxPWPGENS5
                                +nqxZWenY21th5mZGZ06FZ58++CDAhsbe7Kz0wGKvd6pU+F96TKpNysrnTp17EvcvnNnaywtrdi9
                                O9NkJ+nWdl4xvVXHdSMo9UxKCNEHTXPZRkKI7wu8ZA9kGzowRSlRYCCEJeitiKIsDRo0Jisrjbi4
                                I8TFtS40+XbbtnMkJp6nUSPNBffw8MKTccPDCycqXaoJfX07cv78fm7dukZiYv1C2ycm7gDc6Nq1
                                vs7ViIr+FZ1jFUEyoG4KNqSyqvsuAgeAAXl/5rsJvG7IoBSlLEHvuWiKKEL1f5NvQebmlvTs+TY/
                                /zyK1NT1DB3qSadO8M8/V/jttxH06jURKytbsrNhwwbNEl+nTpoEtWED3HefZslP12pCO7v6PPjg
                                aObPH4Gd3XKeeMIJHx+ws4tm/vwg+vSZQteuAl/f6u2QoRQXYNEKIjT/QFHLgIaly/h4SyllVjXF
                                U1oMqrpPKSw0lOCwFgZpm1SQlJLNmz/lzz+/wte3I+bmFpw9u4eHH36RwYM/0bYrqmh1X2nVeTk5
                                Waxc+QZ79y7B3/9hMjNvExd3mMcfn8qjj75S7vsV41Ctlqquwm2RhBBHKWOgjJSy2jpOqCSllCg/
                                UVVDp/S0tBSiov5FylyaNAmkbl1ngx4vJeUK0dFhWFhY0axZd6yt6xr0eIp+qI7rlVeZJJW/4j0h
                                78/FeX+ORDM99129R1kKlaSU0gTPyGuEcheM9FBqBtVxvXIq3WBWCHFIStmuyHMHpZTVdvu7SlJK
                                WQw50kNRqkItA+quMjfz5hNCiM4FHjyk4/sUpfrcZePmlZoh/6bgjKuO2nH28dnxqny9AnTp3TcG
                                WCCEcAAEkAQ8b9CoFKUCgjpHahrQhoYatNpPUSrLK6Y3oYsho8AyoKoG1I3OQw/zkhRSympvNquW
                                +5Ry5Y+bN8DsKUXRN7UMWFxlCidGSimXFGg0W4hqMKuYnPxEpa5PKTXEBZ8tqrgiT2WuSeXXvNYr
                                5UdRTEv+/VLq+pRSQxRttRSZoflR7tClus9GSpleTfGUFoM6k1J0ZqiR84piSCeyjwKawYtw9y0D
                                VqW675gQIkwI8ZkQom/+tSlFMVVBrn8YOwRFqbAAi1YEWLQqVg14tys3SUkp/YHhwFGgL3BYCPGf
                                oQNTlCoJC1PLfkqNpTqu31FukhJCeAKdgS5AOyASWGHguBSl8qp5pIeiGELRe6z+iY3kn9i7L2Hp
                                cp9ULLAf+FRKOd7A8SiK/iRUz0gPRTGk/HusQNNuKeXm3XWPlS6FE22Ah4FAwBs4DeyQUlbbWooq
                                nFAqLSSE4CZfqiIKpdaorfdYVbpwQkp5GFgI/AxsB7oCH+g9QkUxFHV9SqlFSmq1VJuVu9wnhIgA
                                rIHdwE4gUEoZY+jAFEUvxowhKDSU4NOuxo5EUfRKuwz4xnKi0SSq2nhTsC7LfQ2klFerKZ7SYlDL
                                fdUoOyeHX/ftY1F4OFdv3aKlhwcvd+vGg40bGzu0SlMjPZTarqYvA1Zluc+oCUqpXtk5OTwVHMzc
                                nTuZ0K0bC0eP5n5fX54MDiY4NNTY4VVa0Hsuxg5BUQyqtnZc16W6T7mLLAoP59qtW1hmZTF95Urt
                                8962tryzZg0D2rTB3aEG38+tOqUrtVxt67iu5kIphfyyezfv9OrFrVu3iLCz0/5kpaczpF07ft23
                                z9ghVlpQ50hNEUUNPiNUFF0EBmqSVW24KbjUMykhxBNlvVFKuVr/4SjGdjklBX/XkosM/F1duZyS
                                Us0R6VFgIEGnQzSzp9TZlHKXCAwEIoZxwWcLEdS8s6qylvv6l/GaBFSSqoWaN2xIWHR0ia+FRUcz
                                pMfzmiQAABfvSURBVH37ao5Iz8aMISgkhOAZqCIK5a5StBrQ31/zvKknLJ2HHhqTqu6rPn+fOMHY
                                xYvxsLEhIy1N+3ymuTlXMzI4M306tlZWRoxQP4JnJIKr653xHopyFynYcd2+HjT1MH41YIWHHhba
                                SIi+QAvAJv85KeVHeo2w7OOrJFWNvvrzTz7bsoURDzyAn4sLO06fJvzsWf546SUe8PMzdnh6o0Z6
                                KIrpDF6sdJISQswBbIHuwHzgSWCflLLa/gmqklT1O3/tGkv27tXeJ7V4xw5Sb9/Wvm5frx7b//c/
                                I0aoB6plkqIApnGPVWlJSpcS9IeklK2FEEeklNOEEF8Dm6sakBDiSWAqEAB0lFIerOo+Ff3xrV+f
                                9/v21T6eu2kTEXZ22sf33bxpjLD0LyxM86dKVMpdrGhxRVS9ZMA0lgF1KUHPvzCRKoTwALKAhno4
                                9lFgMLBDD/tSlIrLH+lx+rSxI1EUk5Bfsr5v2jCunjWN3oC6JKkNQghH4EvgIHAeWFbVA0spT0kp
                                TwPFTu8UpVrlj/RQFIXAwDv3WeXfY2XMOVa6LPd9IaXMAH4XQmxAUzyRbtiwFH3bc+YMP+/ezaUb
                                N7jX3Z2gLl1o4uZW4rZSSnZERWl69928SatGjbCsU4f7bt3SbmNfr16h7bedOMHSvXtJSk2lnZcX
                                L3TpgqeTk8E/V5UFBhIUiOb6VKgqolCUggouA6bcTCaC5GqvBtQlSe0B2gPkJasMIcTB/OfKIoTY
                                BhT8m1CgucdqspRyfcXDVSrjvTVr+HXfPl7p3p1+rVuz+8wZHvriC74fOpTh999faFspJS8vW8bW
                                48d5uVs3/OrXJ/T0aU4nJ7Ng1CgGtGlTaPvc3FxGL1xIREwME7p2pZGTE3+fOEG7Tz5h+dixPBIQ
                                UJ0ftWrCwjRLf6osXVEK8YrpDXmzL/ITVnXdFFxqdZ8Qwh1oBCwBnuHOspw9MEdKea9eAhDiH+DN
                                sgonhBDyw379tI+7NW1Kt2bN9HH4Wu/P48eZsGwZ7lZWpKWmap83t7bm9I0bRE6dSkMHB1zGj8dS
                                StKB20BdwN/ZWbt9TEoKSTk5tHRwwMLMTFvdtyAsjHk7d2KVnc3tAtV/uZaWxKWmcv7TT2vOfVWh
                                oQSf7q6SlKKUI78asCpnVft37Gd/6H7t4znT51S4uq8XMBrwBL4p8HwKoO/a43KvS03tX1YDDKU0
                                wTt38nbPnsWr827d4qkOHVi4Zw/v9u6NpZRcFoKeUjIGmAiFtm+UnMxTderQRQhesrPTVvfNDQ1l
                                av/+TFm6tNj+O/r4sPrgQUZ26lRdH1dRlGpQdBmwMmdVHbt2pGPXjtrHc6bPKXG7UpOUlHIhsFAI
                                MURK+XuFjq4DIcQg4AegPprijP+klH30fZy73flr12jr5VXia208PTkSX/hi6HmgbSn7amNpyfns
                                7ELPxVy/Xub+Y65fr2DERhQYCGF5RRSqZZKilKs6Bi/qUt0XJoQIEUJsBhBCNBdCVHk9REr5h5TS
                                S0pZR0rZUCUow/CrX59DsbElvvbfhQv4uRSes+QHHCplX/9lZeFnUfjfNb4uLqXvPy4OX5eaNcdJ
                                O3dKdUpXFJ3kz7FyjRhmkGpAXTpObAZ+RlPs0EYIYQEcklK20ksEOvj/9u49vor6zOP45yEJF4mA
                                3ASlQJWL3JQVlEtsEKoVdbeyFrql1BWkymq17bptfan1bqUXfdXWliJKxXtrC+ulLbVYQQQBtQiB
                                AAGVIigYFxGCKOTkPPvHzIFjyI0kJzMh3/frdV79zZw5M8+ZxvMw8/vN79GME7W3YN06rnziCdo0
                                a8Z7u3dTmkzSMiuL3FateGfPHi4YOJAhPXrws2eeoQVU2if11u7d7C4ro11ODsdkZ9OzQweW3HQT
                                Dy1dyszFi2lZVvaZPqmynBzeC/ukWjWWPqmUxYuZtXSApkwSqaXaTLVU68q8QEd3fwpIArh7Aig7
                                koAlOuf270/39u1ZXVxM/+7dmZSXRzInh43hbbqLBg9my4cfktW6Nb+9+mp2zZzJlaNH06FjRyaO
                                GcP148fjubnsSSaZeOaZ/HzSJM4dPJiijz5iUVERl44YQf+uXXn/wAEuOeccbpgwgTMHDWLbxx/z
                                u8svb3wJCoJh6Z2fPjQbhYgckYqesartlVVNrqQWAV8BFrj76WY2HPiJu4+q1RFrQVdStffSxo1c
                                OmcOMyZO5LmCAgq2baNw+3Z+PmEC35s7lw233UanY49l+dtvc+GvfsXG22+nfevWLH3rLR5etozV
                                W7eyeedOXrz2WgadeGgEz9/Xr2fi7NlsDmdFf3HDBh5/9VV27dvH4G7duPwLX+CEdu0i/Ob1YPZs
                                ZhWPU/+USB1s7XGoQnBVowHrMsHs6QQDHAYCa4FOwHh3L6h7+DWjJFV7X3vgAb7Qqxd3zZsHiQQf
                                JpO0MMPC4ebZBLf29gPNmjfnmOxsjm/Z8uAQ83PvvZepeXnMWrCAPWnz9bU59liObdeOcaedxpS8
                                vIi+XeappIdI/anqNmCtb/eFzy+NAkYC04ABDZmgpG7eLC7mjJ49IZHg3exs+pqxMCuLFsA9wCRg
                                hxktgFtat2Zcs2a8npt7MCGlPr+npOQz5eT3lJQwtEcP3vzgg+i+XAO4Iq8wmDZJAylE6qw2Uy1V
                                O+OEmbUErgLOIpgt4mUzm+numhqpEeh23HEUvvfeoWWgMLx6XhcupxSWlnJSudF75T+fbt327eT3
                                7l3PEcdMquQ8R+/VokhDqugZq6rUZFqkR4ASglt+EMw+8SgwoS6BSt2899FHPLJ8OVs//JBenTtz
                                yfDhdEx7mDblm2edxQ/mzaM0meTOsjLKgB+UlfExcD9wElDgTgnw4N69tDHjqY8/5tNWrQ5+/q75
                                80mWuy28L5Hgr4WFzJg4EYANO3Z8Zu6+r51xBq1btMjoOWhQKukhUq9Sz1jtHLmmyu1qMrpvoLtP
                                dfeF4etygiq9EpFHli1j4G238c+dOzmlSxdWb9tG35tv5k8Fh9+FvXDQIDrn5vIBcEdZGYvd2Q7s
                                BRLAZuAPwD6Cy+T9ZrxRWsq6PXv43h/+wCXDhnFyp05s3LuXnjt30mfXLroWF/Pm3r08eMkltDvm
                                GH749NOMuvtu9icS9Dn+eJ4tKKDPzTezauvWBjwrGaSSHiIZkZ8P/bIH0S+78ieaanIltdLMhrv7
                                cgAzGwa8Xk8xyhFa++67fH/uXF657jpO6dLl4PpXN2/m/Pvuo+CmmzgxbfbxFZs3s6m4mEemTGH+
                                2rW8vmULbxYXM2HIEJ5evZrjWrXi/ZISLjr1VJ4tKGDDj35E9/btmTxnDve88AJX5Ofz6JQp/Hno
                                UB5Zvpz/27uXU7t148pRozilSxfmrlzJvFWrKLz11oNXct8eM4anXn+di2bM4M077yQnK6vBz1NG
                                FGs2CpGGVpPRfeuBvkBqWoHuQBHBP8Td3U/NaIRodF+6q598kk65uby0Zs1ho+369ujBCe3acdOF
                                F3LiNddAIsGuZJIcM5q50wL4AMgBWhE8uJsa4ZdLMCljDtCOYLTfR+F7HcLlk9Me7k2N/ht9zz1c
                                dfbZ/Ob55w+Lp6x5c74zZgwXn17thPmNxqzpO/WQr0gGTJtmtX6YdyzBbDmjwtfnw3X/CmjW1wa2
                                fvt28nr1qnC03Vm9erF++/Zgw3A0X38zFoSj+XYAzQmmD0mN7oOgmmULYBzQJ9yuBdAPaJ+2XP54
                                AOt37CDv5JMrjCfv5JNZv2NHA52ZhnHwIV+N9hNpEDUZgr6lqldDBCmHdGnblk3FxRW+t/H99+nS
                                ps1ntwc2pV0ttwZeDdubCP4AXkpbTi/+tR2ormxhlzZtKo+nuPiweBo99U+JNKiaXElJjEweMYJ7
                                //53ysrdpi1NJnlgyRIuHTHiM+unZGVxdzJJauuvA7OAUoIhmsOAZwnm61sDnAA8QTCQ4iM+W6Ol
                                IlNGjmT6/PmUv238SSLBixs2MH7IkFp8SxGRQE0GTkiMnNOvH+f268ecpUv5/IEDtMzKYl8iQfGB
                                A1x//vmcliqbkZ3NiYkE7s5H7hwA2hL8q+QTgiSUAxQQTMqYKgz/JMEzB4TbXha290OF5eOvHDWK
                                v6xdy9v79tGrtJScZs0oKS3lg/37efiyy2gbDmU/qqikh0iDqXbgRBxo4MRnuTvPFRTw4JIlbN21
                                i16dOvFf+fmVlmpPJpPMfeMNHnrlFbbv3k3fzp1JJJO8tGkTJZ9+yoFEgpM6duSdXbtIlJVxTPPm
                                fKl/f1b8859suuOOaivrHkgkeHzFCh5LPSfVvTvXjB5daZ2po4UGUYjUn8oGTihJHSXG3HXXYaPr
                                Xryh8gLKqe3f3ruX3OxsSvbtI/3R2/3AyIEDmTBkCJNHjsxc4I1ZagJaJSqROqvL6D5pBCoaXVeT
                                7bu68+c2bQ6O/ku9WgCj+/alYNu2zAffWE2dqpIeIhmmJNXEdWzWjC1lFZcH27JzZ4VTLUma1Ozo
                                06dHG4fIUUpJqon7z9atuXvPHsrf9C0DnnztNSYNGxZFWI3KwZLzIlLvNLrvKNHm2GMZWq5Pqibb
                                uztvJpPsI3gmKotgePpe4MfnnUePDvoBrrHZs1V3SqSeaeCEcCCR4LdLlzJn2TKKS0oY0LUr14wZ
                                w5f69486tMZj8WJmLR2gQRQitaTRfSKZptF+IrWm0X0imZYa7acpk0TqjZKUSH3q3Tso6TF7dtSR
                                iBwVlKRE6lN+fjDar7hYM6WL1AMlKZEMUEkPkfqhJCWSCSrpIVIvlKRERCS2lKREMqm4WFMmidSB
                                kpRIpqQGUYD6pkRqSUlKJMM0iEKk9pSkRDJNgyhEak1JSqQh5Oerf0qkFpSkRBqISnqIHDklKZGG
                                pr4pkRpTkhJpQFfkFWoQhcgRUJISaUj5+YdG+4lItZSkRBpaqqSHZkoXqVZkScrMfmpm681slZnN
                                NbM2UcUi0uBU0kOkRqK8kvobMMDdBwObgOsjjEWkYamkh0iNRJak3P0Fd0+Gi8uBblHFIhIVzUYh
                                UrW49EldBsyPOgiRBqeS8yJVys7kzs1sAXB8+irAgRvd/blwmxuBUnd/IpOxiMRW797BDW8ROUxG
                                k5S7n1vV+2Y2GbgAGFPdvm597rmD7bP79OHsvn3rGp5IfKSmTLpeXbPSNBQVLWLjxkXVbmfunvlo
                                Kjqw2VjgHiDf3XdWs637/fc3TGAiEZk1faeSlDRZ06YZ7m7l10fZJ3UfkAssMLOVZjYjwlhEIndF
                                56eDqykNohA5KKO3+6ri7r2jOrZILE2dyhWLFzNrU+dg1nQRic3oPhEBlfQQKUdJSiRmVNJD5BAl
                                KZG4Ut+UiJKUSByppIdIQElKJI5U0kMEUJISiS+V9BBRkhKJNZX0kCZOSUokzvLzg/4plfSQJkpJ
                                SiTuUv1TIk2QkpRIY6HRftIEKUmJNAaqOyVNlJKUSGOhQRTSBClJiTQW+fnBlEnFxVFHItJglKTq
                                yaKioqhDiDWdn8od6blpaiU9iooWRR1CbDWFc6MkVU8WbdwYdQixpvNTuSM+N1OnBsPSm0j/VE2q
                                tzZVTeHcKEmJNFYq6SFNgJKUSGOU6p8SOcqZu0cdQ7XMLP5BiohInbi7lV/XKJKUiIg0TbrdJyIi
                                saUkJSIisaUkJSIisaUkVY/M7Kdmtt7MVpnZXDNrE3VMcWFm481srZmVmdnpUccTF2Y21sw2mNlG
                                M7su6njixMxmm9n7ZlYQdSxxY2bdzOxFMys0szVm9u2oY8oUJan69TdggLsPBjYB10ccT5ysAf4d
                                eCnqQOLCzJoBvwLOAwYAE83slGijipWHCM6NHC4BXOvuA4ARwLeO1r8dJal65O4vuHsyXFwOdIsy
                                njhx9yJ33wQcNsS0CTsT2OTuW9y9FPgdcFHEMcWGuy8BdkUdRxy5+w53XxW29wLrgROjjSozlKQy
                                5zJgftRBSKydCGxNW97GUfpDI5ljZj2BwcCKaCPJjOyoA2hszGwBcHz6KsCBG939uXCbG4FSd38i
                                ghAjU5NzIyL1x8xygT8C3wmvqI46SlJHyN3Prep9M5sMXACMaZCAYqS6cyOHeRfonrbcLVwnUi0z
                                yyZIUI+6+zNRx5Mput1Xj8xsLPB94Mvuvj/qeGJM/VKB14BeZtbDzJoDXwOejTimuDH091KZ3wLr
                                3P0XUQeSSUpS9es+IBdYYGYrzWxG1AHFhZmNM7OtwHDgT2bW5Pvr3L0MuJpgVGgh8Dt3Xx9tVPFh
                                Zk8ArwB9zOwdM5sSdUxxYWZ5wCRgjJm9Ef7ejI06rkzQ3H0iIhJbupISEZHYUpISEZHYUpISEZHY
                                UpISEZHYUpISEZHYUpISEZHYUpKSRsvMLjWzLjXY7iEzu7im6+shruvT2j3MbE0NP9fFzJ6vyX7r
                                g5mV1PHzl5rZL8P2NDP7Rj3EtNnM2qct/8bMRtR1v9J4KUlJYzaZeE7IekO55Zo+jDgW+OsR7Leu
                                jughSTOrdOYHd7/f3R+re0iHxTSMoKKANFFKUhIL4RXHejN7zMzWmdlTZtYyfO90M1tkZq+Z2fzw
                                iuMrwFDgsfBp+xZmdpOZrTCzAjObeYTHL3+M48P1C83sx+F+N4RP+mNmrczs92Ehx3lmtjzcx3Sg
                                VRjTo+Hus81sVrjtX82sRSVhjAVS3++lcB8FZpZX0X7N7H/DeNeY2TfTvkuJmd0ZFt98xcw6het7
                                hsurzeyOtO1bm9kLZvZ6+N6X0/4/2WBmD4dXg93MbIqZFZnZciAvbR+3mNm1ZtY1bQaEN8wsYWaf
                                M7OOZvbH8DyuMLOR4efam9nz4Xd4gLQpkCyoj7TRNeNA0+bueukV+QvoASSB4eHybOBagkmQlwId
                                wvVfBWaH7YXAv6Tto11a+xHgwrD9EHBxBcd8CLi4Bsf4Wdg+H1gQtv8H+E3YHgAcAE4Pl/eU+16l
                                wKBw+ffA1yuIpRmwMmxfC1wftg1oXX6/6d8XaElQVPK4cDkJXBC2fwLcELafASaF7atS+wOygNyw
                                3YGgxlUq9gRwRrjcBdgCtA/P2RLgl+F7txAU4UuP7yrgybD9ODAybH+OYM45gF8APwzbFwBlQPtw
                                +b+ByVH/beoV7UuzoEucvOPuqVs7jwHXAM8DAwnmQzSCH/P30j6Tfgvqi2b2feAY4DhgLfDnGhy3
                                bzXHmBf+7z8IfrgBzgLuBXD3Qqu6xPnb7p7ql/oH0LOCbYZxqB7Qa8BsM8sBnnH31ZXs97tmNi5s
                                dwN6A68C+939L2nHOyds5xEkZYBHgR+HbQOmm1k+QYI7wcw6h+9tcffX0mJc6O4fApjZ78NjHia8
                                4vwmh662zgH6pd0yzDWz1kA+QcVm3P0vZpZe5PA8glu60oQpSUmcOcEP6Fp3z6tqw/AW2q8Jrmbe
                                M7NbCK4waqK6Y6RmtC+j8v9mrJJ2+udT+6gorvMJ+6Pc/eUwYVwIzDGzezzo70m/FTaKoBzMMHff
                                b2YL0/ZbWu54qZidQ30+6TFOAjoSXJUmzWxz2r4+ruJ7VsjMugIPAP/m7p+kfW6YBxWI07ctfyvP
                                wvWtgLbuvqO648nRTX1SEifdzWxY2P468DJQBHQys+EQ1NAxs/7hNnuANmG7JcEP8E4LCsGNP4Lj
                                VnWMyiwF/iPcvj8wKO29A2aWlbZck1ITXwReCPfXHSh299nAg8DpFey3LbArTFCnEMwuX93xlgIT
                                w/aktPVtw+MlzWw0h64Wy+9rBZBvZseFV3kTyh/AghpHTwHXuftbaW/9DfhO2nanhc3FqVjM7Hyg
                                Xbh+NMGtVmnilKQkToqAb5nZOoIfq5nhv7zHAz8xs1XAG0BqSPLDwEwzWwl8SvCDXgjMJ7jtlVJZ
                                x7sDVHOMyj47A+hoZmuB2wluLe4O35sFrEkbOFFlx7+ZdQQ+cffUVcvZwOrwe32VoN+m/H7nAzlm
                                VgjcBSyrwff9LsH5XQ10TVv/OHBGuP4bQHq5kIP7Cq9qbiUYbfcysK6CY4wEhgC3pQ2g6EKQoIaG
                                AzPWAtPC7W8nSHxrgHEEfV6QdmUpTZtKdUgsmFkP4E/uPqjajWPAzJoBOeGVzEnAAqCvuydqsa9J
                                wInu/tP6jrOxMrPXCW4PlkUdi0RLfVISJ43pX0zHAAvD214AV9YmQQG4++P1F9bRwd2HRh2DxIOu
                                pEREJLbUJyUiIrGlJCUiIrGlJCUiIrGlJCUiIrGlJCUiIrH1/+KfBa5CZaqXAAAAAElFTkSuQmCC
                                "
                                >
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock %}